import { nanoid } from '../../utils.js';
const MUSTACHE_REG = /\{\{[^]*?\}\}/g;
/**
 * Replace mustache with unique markers
 * @param str content
 * @param store mustache store
 * @returns
 */
const removeMustache = (str, store) => str.replace(MUSTACHE_REG, (match) => {
    let marker = store.get(match);
    if (!marker) {
        marker = nanoid();
        store.set(match, marker);
    }
    return marker;
});
const restoreMustache = (str, store) => {
    let result = str;
    store.forEach((marker, match) => {
        result = result.replaceAll(marker, match);
    });
    return result;
};
export const handleMustache = (str, highlight) => {
    const store = new Map();
    return restoreMustache(highlight(removeMustache(str, store).trimEnd()), store);
};
